Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSUTimestamp

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSUTimestamp`

public class WSUTimestamp
extends WSSElement

Represents the timestamp element defined in the WSU schema.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`WSUTimestamp(org.w3c.dom.Document owner)` Create a new WSUTimestamp instance from the given XML element.
`WSUTimestamp(org.w3c.dom.Element element)` Create a new WSUTimestamp instance from the given XML element.
`WSUTimestamp(org.w3c.dom.Element element, java.lang.String systemId)` Create a new WSUTimestamp instance from the given XML element.

Method Summary
`WSUCreated` | `getCreated()` Returns the creation timestamp value.
`WSUExpires` | `getExpires()` Returns the expiration timestamp value.
`void` | `setCreated(WSUCreated created)` Sets the creation timestamp value.
`void` | `setExpires(WSUExpires expires)` Sets the expiration timestamp value.

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSUTimestamp

    public WSUTimestamp(org.w3c.dom.Document owner)

  Create a new WSUTimestamp instance from the given XML element.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

### WSUTimestamp

    public WSUTimestamp(org.w3c.dom.Element element)

  Create a new WSUTimestamp instance from the given XML element.
Parameters:
  `element` - An wsu:Timestamp element.

### WSUTimestamp

    public WSUTimestamp(org.w3c.dom.Element element,
                        java.lang.String systemId)

  Create a new WSUTimestamp instance from the given XML element.
Parameters:
  `element` - An wsu:Timestamp element.
  `systemId` - The URI string system ID for this element.

Method Detail

### setCreated

    public void setCreated(WSUCreated created)

  Sets the creation timestamp value.
  Parameters:
    `created` - The creation timestamp.

### setExpires

    public void setExpires(WSUExpires expires)

  Sets the expiration timestamp value.
  Parameters:
    `expires` - The expiration timestamp.

### getCreated

    public WSUCreated getCreated()

  Returns the creation timestamp value.
  Returns:
    The creation timestamp.

### getExpires

    public WSUExpires getExpires()

  Returns the expiration timestamp value.
  Returns:
    The expiration timestamp.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.